| Apache Ignite C++

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ignite::IgniteError Class Reference

Ignite error information. More...

`#include <ignite_error.h>`

Inheritance diagram for ignite::IgniteError:

## Public Member Functions
| IgniteError ()
| Default constructor. More...
| IgniteError (const int32_t code)
| Create error with specific code. More...
| IgniteError (const int32_t code, const char *msg)
| Create error with specific code and message. More...
| IgniteError (const IgniteError &other)
| Copy constructor. More...
IgniteError & | operator= (const IgniteError &other)
| Assignment operator. More...
| ~IgniteError () IGNITE_NO_THROW
| Destructor.
int32_t | GetCode () const
| Get error code. More...
const char * | GetText () const IGNITE_NO_THROW
| Get error message. More...
virtual const char * | what () const IGNITE_NO_THROW
| Implementation of the standard std::exception::what() method. More...

## Static Public Member Functions
static void | ThrowIfNeeded (const IgniteError &err)
| Throw an error if code is not IGNITE_SUCCESS. More...
static void | SetError (const int jniCode, const char *jniCls, const char *jniMsg, IgniteError &err)
| Initializes IgniteError instance from the JNI error. More...

## Static Public Attributes
static const int | IGNITE_SUCCESS = 0
| Success.
static const int | IGNITE_ERR_JVM_INIT = 1
| Failed to initialize JVM.
static const int | IGNITE_ERR_JVM_ATTACH = 2
| Failed to attach to JVM.
static const int | IGNITE_ERR_JVM_LIB_NOT_FOUND = 3
| JVM library is not found.
static const int | IGNITE_ERR_JVM_LIB_LOAD_FAILED = 4
| Failed to load JVM library.
static const int | IGNITE_ERR_JVM_NO_CLASSPATH = 5
| JVM classpath is not provided.
static const int | IGNITE_ERR_JVM_NO_CLASS_DEF_FOUND = 6
| JVM error: no class definition found.
static const int | IGNITE_ERR_JVM_NO_SUCH_METHOD = 7
| JVM error: no such method.
static const int | IGNITE_ERR_MEMORY = 1001
| Memory operation error.
static const int | IGNITE_ERR_BINARY = 1002
| Binary error.
static const int | IGNITE_ERR_STD = 1003
| Standard library exception.
static const int | IGNITE_ERR_GENERIC = 2000
| Generic Ignite error.
static const int | IGNITE_ERR_ILLEGAL_ARGUMENT = 2001
| Illegal argument passed.
static const int | IGNITE_ERR_ILLEGAL_STATE = 2002
| Illegal state.
static const int | IGNITE_ERR_UNSUPPORTED_OPERATION = 2003
| Unsupported operation.
static const int | IGNITE_ERR_INTERRUPTED = 2004
| Thread has been interrup.
static const int | IGNITE_ERR_CLUSTER_GROUP_EMPTY = 2005
| Cluster group is empty.
static const int | IGNITE_ERR_CLUSTER_TOPOLOGY = 2006
| Cluster topology problem.
static const int | IGNITE_ERR_COMPUTE_EXECUTION_REJECTED = 2007
| Compute execution rejected.
static const int | IGNITE_ERR_COMPUTE_JOB_FAILOVER = 2008
| Compute job failover.
static const int | IGNITE_ERR_COMPUTE_TASK_CANCELLED = 2009
| Compute task cancelled.
static const int | IGNITE_ERR_COMPUTE_TASK_TIMEOUT = 2010
| Compute task timeout.
static const int | IGNITE_ERR_COMPUTE_USER_UNDECLARED_EXCEPTION = 2011
| Compute user undeclared exception.
static const int | IGNITE_ERR_CACHE = 2012
| Generic cache error.
static const int | IGNITE_ERR_CACHE_LOADER = 2013
| Generic cache loader error.
static const int | IGNITE_ERR_CACHE_WRITER = 2014
| Generic cache writer error.
static const int | IGNITE_ERR_ENTRY_PROCESSOR = 2015
| Generic cache entry processor error.
static const int | IGNITE_ERR_CACHE_ATOMIC_UPDATE_TIMEOUT = 2016
| Cache atomic update timeout.
static const int | IGNITE_ERR_CACHE_PARTIAL_UPDATE = 2017
| Cache partial update.
static const int | IGNITE_ERR_TX_OPTIMISTIC = 2018
| Transaction optimisitc exception.
static const int | IGNITE_ERR_TX_TIMEOUT = 2019
| Transaction timeout.
static const int | IGNITE_ERR_TX_ROLLBACK = 2020
| Transaction rollback.
static const int | IGNITE_ERR_TX_HEURISTIC = 2021
| Transaction heuristic exception.
static const int | IGNITE_ERR_AUTHENTICATION = 2022
| Authentication error.
static const int | IGNITE_ERR_SECURITY = 2023
| Security error.
static const int | IGNITE_ERR_FUTURE_STATE = 2024
| Future state error.
static const int | IGNITE_ERR_NETWORK_FAILURE = 2025
| Networking error.
static const int | IGNITE_ERR_SECURE_CONNECTION_FAILURE = 2026
| SSL/TLS error.
static const int | IGNITE_ERR_TX_THIS_THREAD = 2027
| Transaction already started by current thread.
static const int | IGNITE_ERR_TX = 2028
| Generic transaction error.
static const int | IGNITE_ERR_UNKNOWN = -1
| Unknown error.

## Detailed Description

Ignite error information.

## Constructor & Destructor Documentation

## ◆ IgniteError() [1/4]

ignite::IgniteError::IgniteError | ( |  | ) |

Default constructor.

Creates empty error. Code is IGNITE_SUCCESS and message is NULL.

## ◆ IgniteError() [2/4]

ignite::IgniteError::IgniteError | ( | const int32_t | code | ) |

Create error with specific code.

Message is set to NULL.

Parameters

  code | Error code.

## ◆ IgniteError() [3/4]

ignite::IgniteError::IgniteError | ( | const int32_t | code,
|  | const char * | msg
| ) |  |

Create error with specific code and message.

Parameters

  code | Error code.
  msg | Message.

## ◆ IgniteError() [4/4]

ignite::IgniteError::IgniteError | ( | const IgniteError & | other | ) |

Copy constructor.

Parameters

  other | Other instance.

## Member Function Documentation

## ◆ GetCode()

int32_t ignite::IgniteError::GetCode | ( |  | ) | const

Get error code.

Returns
  Error code.

## ◆ GetText()

const char * ignite::IgniteError::GetText | ( |  | ) | const

Get error message.

Returns
  Error message. Can be NULL.

## ◆ operator=()

IgniteError & ignite::IgniteError::operator= | ( | const IgniteError & | other | ) |

Assignment operator.

Parameters

  other | Other instance.

Returns
  *this.

## ◆ SetError()

void ignite::IgniteError::SetError | ( | const int | jniCode,
|  | const char * | jniCls,
|  | const char * | jniMsg,
|  | IgniteError & | err
| ) |  |
| static

Initializes IgniteError instance from the JNI error.

Parameters

  jniCode | Error code.
  jniCls | Error class.
  jniMsg | Error message.
  err | Error. Can not be NULL.

## ◆ ThrowIfNeeded()

void ignite::IgniteError::ThrowIfNeeded | ( | const IgniteError & | err | ) |
| static

Throw an error if code is not IGNITE_SUCCESS.

Parameters

  err | Error.

## ◆ what()

const char * ignite::IgniteError::what | ( |  | ) | const
| virtual

Implementation of the standard std::exception::what() method.

Synonym for GetText() method.

Returns
  Error message string.

The documentation for this class was generated from the following files:

- ignite_error.h
- ignite_error.cpp